function ColourTupleToTurbineColour(tuple)
    if tuple then
        if type(tuple[1]) == "table" then
            local colourTable = {}
            for key, value in pairs(tuple) do
                if value then
                    colourTable[key] = Turbine.UI.Color(value[1], value[2], value[3], value[4])
                else
                    colourTable[key] = nil
                end
            end

            return colourTable
        else
            return Turbine.UI.Color(tuple[1], tuple[2], tuple[3], tuple[4])
        end
    else
        return Turbine.UI.Color(0,0,0,0)
    end
end

_G.ColourTupleToTurbineColour = ColourTupleToTurbineColour